##
##  h2o.conf -- H2O server configuration
##

access-log: @l_prefix@/var/h2o/log/access.log
error-log:  @l_prefix@/var/h2o/log/h2o.log
pid-file:   @l_prefix@/var/h2o/run/h2o.pid

user: @l_nusr@

listen:
  host: 127.0.0.1
  port: 8080
listen:
  host: 127.0.0.1
  port: 8081
  ssl:
    certificate-file: @l_prefix@/etc/x509/example-server.crt.pem
    key-file:         @l_prefix@/etc/x509/example-server.key.pem

hosts:
  "127.0.0.1.xip.io:8080":
    listen:
      host: 127.0.0.1
      port: 8080
    paths:
      /:
        file.dir: @l_prefix@/pub
  "alternate.127.0.0.1.xip.io:8081":
    listen:
      host: 127.0.0.1
      port: 8081
      ssl:
        certificate-file: @l_prefix@/etc/x509/example-server.crt.pem
        key-file:         @l_prefix@/etc/x509/example-server.key.pem
    paths:
      /:
        file.dir: @l_prefix@/pub

